com.amazonaws.codegen.emitters

## Class GeneratorTaskParams

- java.lang.Object
- - com.amazonaws.codegen.emitters.GeneratorTaskParams

    public class GeneratorTaskParams
    extends Object

Parameters for generator tasks.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static GeneratorTaskParams` `create(IntermediateModel model, String outputDirectory, String sourceDirectory)`
`com.amazonaws.codegen.internal.Freemarker` `getFreemarker()`
`org.apache.commons.logging.Log` `getLog()`
`IntermediateModel` `getModel()`
`GeneratorPathProvider` `getPathProvider()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static GeneratorTaskParams create(IntermediateModel model,
                                             String outputDirectory,
                                             String sourceDirectory)

#### getFreemarker

    public com.amazonaws.codegen.internal.Freemarker getFreemarker()

Returns:
  Freemarker processing engine

#### getModel

    public IntermediateModel getModel()

Returns:
  Built intermediate model

#### getPathProvider

    public GeneratorPathProvider getPathProvider()

Returns:
  Provider for common paths.

#### getLog

    public org.apache.commons.logging.Log getLog()

Returns:
  Logger